#
#	Example of usage:
#	perl base.pl <kch90.txt
#
#

$scale = 375;		# contract size
$acct = $old_acct = 100000;
$ndays = 0;		# days left 

while(<STDIN>) {           # put line into $_
	chop;                    # remove newline character from EOL
	
 	$ndays++;
 
 	($date[$ndays],$time[$ndays],$price[$ndays]) = split(/\s/);
}

$entry = int( rand($ndays) );

do {			# at least one trade
	$range = $ndays - $entry;
	$exit = $entry + int( rand($range) ); 
	$remainder = $ndays - $exit;	# remaining range for next entry

	$result = $price[$exit] - $price[$entry];

	if( int(2*rand()) % 2 ){  # flip a coin
		$result = -$result;	# if one, we'll short
	}

	$result *= $scale;
	$old_acct = $acct;
	$acct += $result;	

	printf("account: %8.2f\n", $acct);

	$entry = $exit + int( rand($remainder) );

} while( $remainder > 10 ); # don't use last 10 days


